logo Обзор КриптоПро NGate для защищённого доступа к корпоративным ресурсам
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

Опции
К последнему сообщению К первому непрочитанному
Offline vitalykodash  
#1 Оставлено : 8 ноября 2019 г. 18:37:12(UTC)
vitalykodash

Статус: Новичок

Группы: Участники
Зарегистрирован: 08.11.2019(UTC)
Сообщений: 3

Сталкиваюсь с проблемой подписания пакета документов на сайте https://tender.otc.ru - появляется ошибка "Failed to create signature. Error: Invalid algorithm specified. (0x80090008)"
Пробовали менять компьютеры (все на Win 10 / 1809 / x64), браузеры (IE 11 и Chrome), версии КриптоПро (5.0.11 / 4.0 /5.0.11455) и результат не меняется.
Так же пробовали:
1) заново устанавливать личный сертификат
2) заново устанавливать сертификаты УЦ https://www.roseltorg.ru/about/contacts
3) удалять запомненные пароли в КриптоПро
4) Антивируса и сетевого экрана на компьютере нет
5) По рекомендации https://www.cryptopro.ru...aspx?g=posts&t=13826 скриншот сделал: vetka reestra.PNG (57kb) загружен 4 раз(а).


была рекомендация сделать следующее:
0x80090008 указан неверный алгоритм"
удалением ключа 1.2.643.2.1.3.1.2.1!3 в реестре :
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Cryptography\OID\EncodingType 0\CryptDllFindOIDInfo\1.2.643.2.1.3.1.2.1!3]

но ветки реестра 1.2.643.2.1.3.1.2.1!3 у меня нет, vetka reestra 2.PNG (54kb) загружен 6 раз(а).

Могли бы дать совет по решению проблемы?
Offline two_oceans  
#2 Оставлено : 11 ноября 2019 г. 3:18:29(UTC)
two_oceans

Статус: Эксперт

Группы: Участники
Зарегистрирован: 05.03.2015(UTC)
Сообщений: 732
Российская Федерация
Откуда: Иркутская область

Сказал(а) «Спасибо»: 48 раз
Поблагодарили: 156 раз в 148 постах
Автор: vitalykodash Перейти к цитате
была рекомендация сделать следующее: 0x80090008 указан неверный алгоритм" удалением ключа 1.2.643.2.1.3.1.2.1!3 в реестре : [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Cryptography\OID\EncodingType 0\CryptDllFindOIDInfo\1.2.643.2.1.3.1.2.1!3] но ветки реестра 1.2.643.2.1.3.1.2.1!3 у меня нет,
Ветки 1.2.643.2.1... появляются когда установлен Континент-АП, судя по первому скриншоту его у Вас нет и веток тоже нет, так что совет по разрешению конфликта с Континент-АП не для Вас, у Вас какая-то другая проблема.

Для ясности - какая версия 4.0 была полностью и какая версия плагина, версия расширения браузера, были ранее другие криптопровайдеры (сейчас их нет судя по первому скриншоту, но может что-то осталось). Если плагин старой версии для гост-2001, то он может не понять новые ключ/сертификат с алгоритмом гост-2012 и выдать такую же ошибку. Обновление до новой версии плагина 2.0.13642 и новее/расширения может помочь (однако при этом новые версии не совместимы или не полностью совместимы со старыми браузерами и наоборот).

Поищите ветки алгоритмов гост-2012 1.2.643.7... в "EncodingType 1" что из них присутствует и на какие библиотеки указывают.
Offline vitalykodash  
#3 Оставлено : 11 ноября 2019 г. 9:41:43(UTC)
vitalykodash

Статус: Новичок

Группы: Участники
Зарегистрирован: 08.11.2019(UTC)
Сообщений: 3

КрипроПро ЭЦП Broweser Plug-In имеет версию 2.0.13027
Расширение для Chrome "CryptoPro Extention for CAdES Broweser Plug-In" имеет версию 1.2.7

В реестре раздел EncodingType 1 посмотрел, все подразделы с именем "1.2.643.7.1****" в строке DLL ссылаются на C:\Program Files\Common Files\Crypto Pro\Shared\cpext.dll

КрипроПро ЭЦП Broweser Plug-In уже обновили до указанной вами, но текст ошибки не изменился. Я заметил в тексте ошибки упоминание про не корректный срок действия, может быть это что то дает?

Error: Invalid algorithm specified. (0x80090008)","Certificates":[{"Hash":"4A7B81B310E4B1FB37C23FDEE4F2C8D34CA4BDD1","Name":"Якобсон Николай Павлович","CertCenter":"АО \"ЕЭТП\"","Issued":"2019-03-05T11:30:21.000Z","Expires":"2020-03-05T11:40:21.000Z","Organization":"\"ООО \"\"НГ-ЭНЕРГО\"\"\"","Algorithm":"1.2.643.7.1.1.1.2"}],"StartTime":"2019-11-08T13:45:56.613Z","AfterCancel":null,"InvalidCertificateByDatesMsg":"Срок действия сертификата либо не вступил в силу, либо истек. Подпись не может быть использована.","OfficialMessage":"Попробуйте выполнить повторную попытку.
Offline vitalykodash  
#4 Оставлено : 11 ноября 2019 г. 9:45:07(UTC)
vitalykodash

Статус: Новичок

Группы: Участники
Зарегистрирован: 08.11.2019(UTC)
Сообщений: 3

Автор: two_oceans Перейти к цитате
Автор: vitalykodash Перейти к цитате
была рекомендация сделать следующее: 0x80090008 указан неверный алгоритм" удалением ключа 1.2.643.2.1.3.1.2.1!3 в реестре : [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Cryptography\OID\EncodingType 0\CryptDllFindOIDInfo\1.2.643.2.1.3.1.2.1!3] но ветки реестра 1.2.643.2.1.3.1.2.1!3 у меня нет,
Ветки 1.2.643.2.1... появляются когда установлен Континент-АП, судя по первому скриншоту его у Вас нет и веток тоже нет, так что совет по разрешению конфликта с Континент-АП не для Вас, у Вас какая-то другая проблема.

Для ясности - какая версия 4.0 была полностью и какая версия плагина, версия расширения браузера, были ранее другие криптопровайдеры (сейчас их нет судя по первому скриншоту, но может что-то осталось). Если плагин старой версии для гост-2001, то он может не понять новые ключ/сертификат с алгоритмом гост-2012 и выдать такую же ошибку. Обновление до новой версии плагина 2.0.13642 и новее/расширения может помочь (однако при этом новые версии не совместимы или не полностью совместимы со старыми браузерами и наоборот).

Поищите ветки алгоритмов гост-2012 1.2.643.7... в "EncodingType 1" что из них присутствует и на какие библиотеки указывают.




КрипроПро ЭЦП Broweser Plug-In имеет версию 2.0.13027
Расширение для Chrome "CryptoPro Extention for CAdES Broweser Plug-In" имеет версию 1.2.7

В реестре раздел EncodingType 1 посмотрел, все подразделы с именем "1.2.643.7.1****" в строке DLL ссылаются на C:\Program Files\Common Files\Crypto Pro\Shared\cpext.dll

КрипроПро ЭЦП Broweser Plug-In уже обновили до указанной вами, но текст ошибки не изменился. Я заметил в тексте ошибки упоминание про не корректный срок действия, может быть это что то дает?

Error: Invalid algorithm specified. (0x80090008)","Certificates":[{"Hash":"4A7B81B310E4B1FB37C23FDEE4F2C8D34CA4BDD1","Name":"Якобсон Николай Павлович","CertCenter":"АО \"ЕЭТП\"","Issued":"2019-03-05T11:30:21.000Z","Expires":"2020-03-05T11:40:21.000Z","Organization":"\"ООО \"\"НГ-ЭНЕРГО\"\"\"","Algorithm":"1.2.643.7.1.1.1.2"}],"StartTime":"2019-11-08T13:45:56.613Z","AfterCancel":null,"InvalidCertificateByDatesMsg":"Срок действия сертификата либо не вступил в силу, либо истек. Подпись не может быть использована.","OfficialMessage":"Попробуйте выполнить повторную попытку.


Коллеги, документ удалось подписать с помощью ЭЦП на другого сотрудника, думаю дальше проблемой должен заниматься УЦ.

Отредактировано пользователем 11 ноября 2019 г. 11:20:19(UTC)  | Причина: Не указана

RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.